;
; Cargador paquete "PT-BASE"
;    Ver "pt-base.lisp"
;

(defpackage "PT-BASE"
  (:nicknames "PT-B" "PLANTRON-BASE")
  (:use "COMMON-LISP")
  (:documentation "Servidor de juego PlanTron.")
  (:export
   ; Constantes y variables globales
   "VERSION"
   "OBS"
   "KEYWORDS-FUN-AG"
   "KEYWORDS-FUN-ID-AG"
   "KEYWORDS-NOFUN-AG"
   "TIPOS-JUG"
   "TIPOS-AG"
   "*NUM-JUG-GDIR*"
   "*NUM-JUG-ACT*"
   "*DIM-TAB*"
   "*SIN-BORDES*"
   "*NO-VERBOSE*"
   "*ASINCRONO*"
   "*SLEEP-CS*"
   "*SLEEP-NIL*"
   "*RATIO-ENE-JUG-INI*"
   "*ENE-JUG-GPLA-INI*"
   ; Interface consultas envio -> servidor
   "GET-ACCION"
   "GEN-PLANTA"
   "LEYENDA"
   "POS-JUGADOR"
   "DIR-JUGADOR"
   "ENE-JUGADOR"
   "EST-JUGADOR"
   "TRANSF-ENE"
   "POS-TABLERO"
   "TIPO-JUG"
   "TABLERO"
   "INICIO"))


(unless (find-package "PT-COMM")
  (load (concatenate 'string
		     (directory-namestring
		      (eval (or (find-symbol "*LOAD-TRUENAME*")
				(find-symbol "*LOAD-PATHNAME*")
				(find-symbol "*LOAD-PATHNAME*" "SYSTEM")
			       "")))
		     "envio-package")))

